import Route from '@ember/routing/route';
import { inject as service } from '@ember/service';
import Storage from 'dashtab/services/storage';

export default class Application extends Route.extend({
  // anything which *must* be merged to prototype here
}) {
  @service storage!: Storage;

  beforeModel() {
    this.storage.initialize();
  }
}
